import { Controller, Get, Param } from '@nestjs/common';
import { HallOfFameService } from './halloffame.service';

@Controller('halloffame')
export class HallOfFameController {
  constructor(private readonly hallOfFameService: HallOfFameService) {}

  @Get('current')
  getCurrentRanking() {
    return this.hallOfFameService.getCurrentRanking();
  }

  @Get(':period')
  getRankingByPeriod(@Param('period') period: string) {
    return this.hallOfFameService.getRankingByPeriod(period);
  }
}
